CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-18538

The weblibrarian plugin before 3.4.8.5 for WordPress has XSS via front-end short codes.
Publish Date : 2019-08-21 Last Update Date : 2019-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Cross Site Scripting
CWE ID 79

- Products Affected By CVE-2017-18538

# Product Type Vendor Product Version Update Edition Language
1 Application Deepsoft Weblibrarian 2.0 ~~~wordpress~~ Version Details Vulnerabilities
2 Application Deepsoft Weblibrarian 2.1 ~~~wordpress~~ Version Details Vulnerabilities
3 Application Deepsoft Weblibrarian 2.2 ~~~wordpress~~ Version Details Vulnerabilities
4 Application Deepsoft Weblibrarian 2.2.1 ~~~wordpress~~ Version Details Vulnerabilities
5 Application Deepsoft Weblibrarian 2.2.2 ~~~wordpress~~ Version Details Vulnerabilities
6 Application Deepsoft Weblibrarian 2.3 ~~~wordpress~~ Version Details Vulnerabilities
7 Application Deepsoft Weblibrarian 2.6 ~~~wordpress~~ Version Details Vulnerabilities
8 Application Deepsoft Weblibrarian 2.6.1 ~~~wordpress~~ Version Details Vulnerabilities
9 Application Deepsoft Weblibrarian 2.6.2 ~~~wordpress~~ Version Details Vulnerabilities
10 Application Deepsoft Weblibrarian 2.6.3 ~~~wordpress~~ Version Details Vulnerabilities
11 Application Deepsoft Weblibrarian 2.6.3.1 ~~~wordpress~~ Version Details Vulnerabilities
12 Application Deepsoft Weblibrarian 2.6.3.2 ~~~wordpress~~ Version Details Vulnerabilities
13 Application Deepsoft Weblibrarian 3.0 ~~~wordpress~~ Version Details Vulnerabilities
14 Application Deepsoft Weblibrarian 3.1 ~~~wordpress~~ Version Details Vulnerabilities
15 Application Deepsoft Weblibrarian 3.2 ~~~wordpress~~ Version Details Vulnerabilities
16 Application Deepsoft Weblibrarian 3.2.1 ~~~wordpress~~ Version Details Vulnerabilities
17 Application Deepsoft Weblibrarian 3.2.2 ~~~wordpress~~ Version Details Vulnerabilities
18 Application Deepsoft Weblibrarian 3.2.3 ~~~wordpress~~ Version Details Vulnerabilities
19 Application Deepsoft Weblibrarian 3.2.4 ~~~wordpress~~ Version Details Vulnerabilities
20 Application Deepsoft Weblibrarian 3.2.5 ~~~wordpress~~ Version Details Vulnerabilities
21 Application Deepsoft Weblibrarian 3.2.5.1 ~~~wordpress~~ Version Details Vulnerabilities
22 Application Deepsoft Weblibrarian 3.2.5.2 ~~~wordpress~~ Version Details Vulnerabilities
23 Application Deepsoft Weblibrarian 3.2.5.3 ~~~wordpress~~ Version Details Vulnerabilities
24 Application Deepsoft Weblibrarian 3.2.6 ~~~wordpress~~ Version Details Vulnerabilities
25 Application Deepsoft Weblibrarian 3.2.6.1 ~~~wordpress~~ Version Details Vulnerabilities
26 Application Deepsoft Weblibrarian 3.2.7 ~~~wordpress~~ Version Details Vulnerabilities
27 Application Deepsoft Weblibrarian 3.2.7.1 ~~~wordpress~~ Version Details Vulnerabilities
28 Application Deepsoft Weblibrarian 3.2.7.2 ~~~wordpress~~ Version Details Vulnerabilities
29 Application Deepsoft Weblibrarian 3.2.7.3 ~~~wordpress~~ Version Details Vulnerabilities
30 Application Deepsoft Weblibrarian 3.2.7.4 ~~~wordpress~~ Version Details Vulnerabilities
31 Application Deepsoft Weblibrarian 3.2.7.5 ~~~wordpress~~ Version Details Vulnerabilities
32 Application Deepsoft Weblibrarian 3.2.7.6 ~~~wordpress~~ Version Details Vulnerabilities
33 Application Deepsoft Weblibrarian 3.2.7.7 ~~~wordpress~~ Version Details Vulnerabilities
34 Application Deepsoft Weblibrarian 3.2.8 ~~~wordpress~~ Version Details Vulnerabilities
35 Application Deepsoft Weblibrarian 3.2.8.1 ~~~wordpress~~ Version Details Vulnerabilities
36 Application Deepsoft Weblibrarian 3.2.8.2 ~~~wordpress~~ Version Details Vulnerabilities
37 Application Deepsoft Weblibrarian 3.2.8.3 ~~~wordpress~~ Version Details Vulnerabilities
38 Application Deepsoft Weblibrarian 3.2.9 ~~~wordpress~~ Version Details Vulnerabilities
39 Application Deepsoft Weblibrarian 3.2.9.1 ~~~wordpress~~ Version Details Vulnerabilities
40 Application Deepsoft Weblibrarian 3.2.9.2 ~~~wordpress~~ Version Details Vulnerabilities
41 Application Deepsoft Weblibrarian 3.2.9.3 ~~~wordpress~~ Version Details Vulnerabilities
42 Application Deepsoft Weblibrarian 3.2.9.4 ~~~wordpress~~ Version Details Vulnerabilities
43 Application Deepsoft Weblibrarian 3.2.9.5 ~~~wordpress~~ Version Details Vulnerabilities
44 Application Deepsoft Weblibrarian 3.2.9.6 ~~~wordpress~~ Version Details Vulnerabilities
45 Application Deepsoft Weblibrarian 3.2.9.7 ~~~wordpress~~ Version Details Vulnerabilities
46 Application Deepsoft Weblibrarian 3.2.9.8 ~~~wordpress~~ Version Details Vulnerabilities
47 Application Deepsoft Weblibrarian 3.2.9.9 ~~~wordpress~~ Version Details Vulnerabilities
48 Application Deepsoft Weblibrarian 3.2.10 ~~~wordpress~~ Version Details Vulnerabilities
49 Application Deepsoft Weblibrarian 3.2.10.1 ~~~wordpress~~ Version Details Vulnerabilities
50 Application Deepsoft Weblibrarian 3.2.10.3 ~~~wordpress~~ Version Details Vulnerabilities
51 Application Deepsoft Weblibrarian 3.2.10.4 ~~~wordpress~~ Version Details Vulnerabilities
52 Application Deepsoft Weblibrarian 3.2.10.5 ~~~wordpress~~ Version Details Vulnerabilities
53 Application Deepsoft Weblibrarian 3.2.10.6 ~~~wordpress~~ Version Details Vulnerabilities
54 Application Deepsoft Weblibrarian 3.2.10.7 ~~~wordpress~~ Version Details Vulnerabilities
55 Application Deepsoft Weblibrarian 3.2.10.8 ~~~wordpress~~ Version Details Vulnerabilities
56 Application Deepsoft Weblibrarian 3.2.10.9 ~~~wordpress~~ Version Details Vulnerabilities
57 Application Deepsoft Weblibrarian 3.2.10.10 ~~~wordpress~~ Version Details Vulnerabilities
58 Application Deepsoft Weblibrarian 3.2.10.11 ~~~wordpress~~ Version Details Vulnerabilities
59 Application Deepsoft Weblibrarian 3.2.10.12 ~~~wordpress~~ Version Details Vulnerabilities
60 Application Deepsoft Weblibrarian 3.2.10.13 ~~~wordpress~~ Version Details Vulnerabilities
61 Application Deepsoft Weblibrarian 3.2.10.14 ~~~wordpress~~ Version Details Vulnerabilities
62 Application Deepsoft Weblibrarian 3.3 ~~~wordpress~~ Version Details Vulnerabilities
63 Application Deepsoft Weblibrarian 3.4 ~~~wordpress~~ Version Details Vulnerabilities
64 Application Deepsoft Weblibrarian 3.4.1 ~~~wordpress~~ Version Details Vulnerabilities
65 Application Deepsoft Weblibrarian 3.4.2 ~~~wordpress~~ Version Details Vulnerabilities
66 Application Deepsoft Weblibrarian 3.4.3 ~~~wordpress~~ Version Details Vulnerabilities
67 Application Deepsoft Weblibrarian 3.4.4 ~~~wordpress~~ Version Details Vulnerabilities
68 Application Deepsoft Weblibrarian 3.4.5 ~~~wordpress~~ Version Details Vulnerabilities
69 Application Deepsoft Weblibrarian 3.4.6 ~~~wordpress~~ Version Details Vulnerabilities
70 Application Deepsoft Weblibrarian 3.4.7 ~~~wordpress~~ Version Details Vulnerabilities
71 Application Deepsoft Weblibrarian 3.4.8 ~~~wordpress~~ Version Details Vulnerabilities
72 Application Deepsoft Weblibrarian 3.4.8.1 ~~~wordpress~~ Version Details Vulnerabilities
73 Application Deepsoft Weblibrarian 3.4.8.2 ~~~wordpress~~ Version Details Vulnerabilities
74 Application Deepsoft Weblibrarian 3.4.8.3 ~~~wordpress~~ Version Details Vulnerabilities
75 Application Deepsoft Weblibrarian 3.4.8.4 ~~~wordpress~~ Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Deepsoft Weblibrarian 75

- References For CVE-2017-18538

https://wordpress.org/plugins/weblibrarian/#developers

- Metasploit Modules Related To CVE-2017-18538

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.